> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/indonesia/banktransfer.md).

# BankTransfer

## Payout by BankTransfer

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by BankTransfer in Indonesia.

{% hint style="info" %}
Indonesia BankTransfer payouts only support integer amounts. Decimal amounts are not supported.
{% endhint %}

{% hint style="info" %}
The supported payout amount range is `10000` to `999999999` IDR.
{% endhint %}

***

## Request Body

| Parameter          | Type   | Required | Constraints                                | Description                                                |
| ------------------ | ------ | -------- | ------------------------------------------ | ---------------------------------------------------------- |
| amount             | string | Yes      | Integer only; range: `10000` - `999999999` | Payout amount.                                             |
| source\_currency   | string | Yes      | One of: `USD`, `EUR`, `GBP`, `IDR`         | Source currency.                                           |
| arrival\_currency  | string | Yes      | Fixed value: `IDR`                         | Arrival currency.                                          |
| fee\_bear          | string | Yes      | One of: `merchant`, `beneficiary`          | Specifies who bears the processing fee.                    |
| name               | string | Yes      | -                                          | Beneficiary's name.                                        |
| phone              | string | Yes      | Max length: 15 characters                  | Beneficiary's phone number.                                |
| custom\_code       | string | Yes      | Max length: 40 characters; must be unique  | The merchant-side payout order ID.                         |
| notify\_url        | string | Yes      | Valid URL                                  | The URL used to receive asynchronous payout notifications. |
| account            | string | Yes      | Max length: 20 characters                  | Beneficiary's bank account number.                         |
| country            | string | Yes      | Fixed value: `IDN`                         | Beneficiary country.                                       |
| method             | string | Yes      | Fixed value: `BANKTRANSFER`                | Payout method.                                             |
| additional\_remark | string | Yes      | Max length: 200 characters                 | Additional payout remark.                                  |
| bank\_code         | string | Yes      | See supported bank code list               | Beneficiary bank code.                                     |

***

## Bank Code

Use the supported `bank_code` from the Indonesia bank code list.

For more details, see [Bank in Indonesia](https://docs.pagsmile.com/reference/payout/banklist/bank-in-indonesia).

***

## Request Sample

```json
{
  "amount": "10000",
  "source_currency": "USD",
  "arrival_currency": "IDR",
  "fee_bear": "merchant",
  "name": "Yu********al",
  "phone": "08*********45",
  "custom_code": "custom_code********By",
  "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
  "account": "165********44",
  "country": "IDN",
  "method": "BANKTRANSFER",
  "additional_remark": "from test",
  "bank_code": "008"
}
```

***

## Response

```json
{
  "code": 200,
  "msg": "success",
  "time": 1783333875,
  "data": {
    "id": "TS202607061031155PeKYXfv1EuBID",
    "custom_code": "custom_code539535528751251bJoy",
    "arrival_amount": "10000",
    "arrival_currency": "IDR",
    "source_amount": "0.567",
    "source_currency": "USD",
    "status": "IN_PROCESSING"
  }
}
```
